Last Comment Bug 786595 - Deleted template displays incorrect message body once deleted
: Deleted template displays incorrect message body once deleted
Status: RESOLVED FIXED
: regression
Product: MailNews Core
Classification: Components
Component: Networking: IMAP (show other bugs)
: Trunk
: x86_64 Linux
: -- major (vote)
: Thunderbird 18.0
Assigned To: Ian Neal
:
Mentors:
Depends on:
Blocks: 765926
  Show dependency treegraph
 
Reported: 2012-08-29 02:32 PDT by Ian Neal
Modified: 2013-03-17 17:51 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
unaffected
+
fixed
fixed
fixed
unaffected
fixed
fixed
fixed


Attachments
Partial backout of patch from bug 765926 [Checked in: Comment 8] (2.30 KB, patch)
2012-09-04 15:43 PDT, Ian Neal
neil: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Ian Neal 2012-08-29 02:32:55 PDT
STR using Daily 18.0a1 (2012-08-29) Build ID 20120829000550
1/ Using an IMAP account go to Trash folder, select properties from context menu and Repair Folder
2/ Go to Templates folder and create a Test Template.
3/ Go to Inbox, select a message
4/ From File menu, select Save As Template
5/ Go to Templates folder, select template created from message and make sure message body displays correctly
6/ Delete that template
7/ Go to Trash folder and select template you have just deleted.

Expected Result
1/ Message body is the correct one

Actual Result
1/ Message body is that of the test template

Notes
1/ View message source displays the correct message source
2/ Doing a "Repair Folder" on the trash folder corrects the issue
3/ Happens if you add multiple templates from inbox and then delete them
4/ Tested on Earlybird 16.0a2 (2012-08-27) also happens there
5/ Tested on TB 14.0 (Build ID 20120717093534) and works fine there
Comment 1 Ian Neal 2012-08-29 03:04:33 PDT
EB 15.0a2 Build ID 20120716042001 OK
EB 16.0a2 Build ID 20120717042008 Bad
Comment 2 Ian Neal 2012-08-29 03:30:32 PDT
Daily 16.0a1 Build ID 20120619030501 OK
Daily 16.0a1 Build ID 20120620030501 Bad
Comment 3 Ian Neal 2012-08-29 03:41:12 PDT
http://hg.mozilla.org/comm-central/pushloghtml?startdate=2012-06-19+03%3A05%3A01&enddate=2012-06-20+03%3A05%3A01 appears to be the list of pushes cc'ing likely people. Probably an IMAP issue -> MailNews Core: Network IMAP
Comment 5 Ian Neal 2012-08-29 09:00:35 PDT
Confirmed, backing out the fix from bug 765926 locally fixes the issue for me.
Comment 6 Ian Neal 2012-09-04 15:43:40 PDT
Created attachment 658279 [details] [diff] [review]
Partial backout of patch from bug 765926 [Checked in: Comment 8]

This backs out the parts of the patch from bug 765926 that is not removal of redundant code. This fixes the issue locally.
Comment 7 neil@parkwaycc.co.uk 2012-09-05 15:47:47 PDT
Comment on attachment 658279 [details] [diff] [review]
Partial backout of patch from bug 765926 [Checked in: Comment 8]

I assume you'll reopen bug 765926...
Comment 8 Ian Neal 2012-09-05 15:56:42 PDT
Comment on attachment 658279 [details] [diff] [review]
Partial backout of patch from bug 765926 [Checked in: Comment 8]

http://hg.mozilla.org/comm-central/rev/9fcf8235df70
Comment 9 Ian Neal 2012-09-05 16:01:10 PDT
Comment on attachment 658279 [details] [diff] [review]
Partial backout of patch from bug 765926 [Checked in: Comment 8]

[Approval Request Comment]
Regression caused by (bug #): 765926
User impact if declined: Issues with incorrect message body being displayed on deleted templates once they are in Trash folder on IMAP servers. Potentially causes issues moving messages from "Sent" to "Inbox" too on IMAP servers.
Testing completed (on c-c, etc.): tested locally, patch has been checked into c-c
Risk to taking this patch (and alternatives if risky): None known
Comment 11 Mark Banner (:standard8) (afk until 26th July) 2012-09-25 13:23:28 PDT
Checked in:

https://hg.mozilla.org/releases/comm-aurora/rev/677e495fe144
https://hg.mozilla.org/releases/comm-beta/rev/eee7d015fba5

Note You need to log in before you can comment on or make changes to this bug.